import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import { ApplyStyleDirective } from './applystyle.directive';

@NgModule({
  declarations: [AppComponent, ApplyStyleDirective],
  imports: [BrowserModule],
  bootstrap: [AppComponent]
})
class AppModule { }

platformBrowserDynamic().bootstrapModule(AppModule).then(success => console.log('Bootstrap success'))
  .catch(error => console.log(error));
