import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import { ShowWhenEvenDirective } from './showwheneven.directive';

@NgModule({
	declarations: [AppComponent, ShowWhenEvenDirective],
	imports: [BrowserModule],
	bootstrap: [AppComponent]
})
class AppModule { }

platformBrowserDynamic().bootstrapModule(AppModule);
