import {Component} from '@angular/core';
import {Employee} from './employee.model';

@Component({
    selector:'emp-data',
    templateUrl:'./app/employee.html'
})

export class EmployeeComponent{
    emp:Employee;
    employees:Employee[];
    helpLink:string;
    helpText:string;
    
    constructor() {
        this.emp = new Employee(0,'',0,'','');    
        this.employees =[];
        this.helpText = "Tax Rules";
        this.helpLink  ="./app/taxhelper.html";    
    }
    
    clear(){
        this.emp = new Employee(0,'',0,'','');    
    }
    save(){
        if(this.emp.empNo>0&&this.emp.empName.length>0&&this.emp.salary>0&&this.emp.deptName.length>0)
        {
            this.employees.push(this.emp);
            this.emp = new Employee(0,'',0,'','');
        }
          
        
    }
    setDesignation(){

        if(this.emp.salary>=1000 && this.emp.salary<=12000){
            this.emp.designation="Jr. Programmer";
        }
        if(this.emp.salary>12000 && this.emp.salary<=30000){
            this.emp.designation="Lead";
        }
        
        if(this.emp.salary>30000 && this.emp.salary<=60000){
            this.emp.designation="Group Lead";
        }
        
        if(this.emp.salary>60000){
            this.emp.designation="Manager";
        }
    }
}
