"use strict";

var koa = require("koa");
var serve = require("koa-static");
var route = require("koa-route");
var parse = require('co-body');

var livereload = require("livereload");
var fs = require("fs");

var app = koa();
var server = livereload.createServer();
server.watch(__dirname + "/app/*.js");
app.use(serve("."));

var readFileThunk = function (src) {
  return new Promise(function (resolve, reject) {
    fs.readFile(src, { 'encoding': 'utf8' }, function (err, data) {
      if (err) return reject(err);
      resolve(data);
    });
  });
}

app.use(route.get('/*', function* () {
  this.body = yield readFileThunk(__dirname + '/index.html');
}));

app.listen(3000);
