import {Component} from '@angular/core';
import {Product} from './product.model';

@Component({
    selector: 'app-component',
    templateUrl: './app/app.html'
})
export class Application {
    joiningDate: Date;

    isShortDate: boolean;
    fullName: string;
    decimalValue: number;
    income: number;
    product: Product;
    value: number;
    name: string;
    names: string[];
    asyncObject: Promise<string>;

    constructor() {
        this.joiningDate = new Date(2016, 09, 13);
        this.isShortDate = true;
        this.fullName = "mahesh rameshrao sabnis";
        this.decimalValue = 2000.23;
        this.income = 45.896;
        this.product = new Product(1001, 'Laptop', 560000);
        this.value = 0.2421455;
        this.name = "Mahesh IT Services";
        this.names = ["Mahesh", "Sachin", "Vikram", "Mayur"];
        this.asyncObject = null;
    }



    get changeDate() {
        if (this.isShortDate) {
            return 'shortDate';
        } else {
            return 'fullDate';
        }
    }

    applyDate() {
        this.isShortDate = !this.isShortDate;
    }

    get changeCase() {
        if (this.isShortDate) {
            return 'lowercase';
        } else {
            return 'uppercase';
        }
    }

}