import {Component} from '@angular/core';
import {Product} from './product.model';
import {ProductPipe} from './product.pipe';
@Component({
    selector:'app-component',
    templateUrl:'./app/app.html',
})
export class ApplicationComponent{
    range:number;
    joiningDate: Date;
    filterKey:string;
    products: Product[]=[];
    tempProducts :Product[]=[];
    filterPipe:ProductPipe
        constructor() {
        this.range = 0;  
        this.joiningDate = new Date(2016,5,13);
        this.products.push(new Product(101,"Desktop",12000));
        this.products.push(new Product(102,"Laptop",52000));
        this.products.push(new Product(103,"Router",2000));
        this.products.push(new Product(104,"CD-ROM",1000));
        this.products.push(new Product(105,"RAM",10000));
        this.products.push(new Product(106,"DVD",100));
        this.filterPipe = new ProductPipe();   
        this.filterKey= "";
        this.tempProducts = this.products;
    }
    filter(){
        let args =new Array<string>();
        args.push(this.filterKey);
        if(this.filterKey){
            let prd = this.filterPipe.transform(this.products,args);
            this.products = prd;
        } else{
            this.products = this.tempProducts;
        }
    }
}