import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { BrowserModule } from '@angular/platform-browser';
import{ApplicationComponent} from './application.components';
import {ProductCallServiceComponent} from './app.callservice.component';
import {ProductPipe} from './product.pipe';
import {ProductService} from './productservice';
@NgModule({
   imports: [BrowserModule,FormsModule],
  declarations: [ApplicationComponent,ProductPipe,ProductCallServiceComponent],
  providers:[ProductService],
  bootstrap: [ApplicationComponent,ProductCallServiceComponent]
})
export class AppModule { }

platformBrowserDynamic().bootstrapModule(AppModule);