import { Routes, RouterModule } from '@angular/router';

import { BooksComponent } from './books.component';
import { AddBookComponent } from './addbook.component';

export const App_Routes: Routes = [
  { path: '', component: BooksComponent },
  { path: 'addBook', component: AddBookComponent },
  { path: 'reviews/:id', loadChildren: '/app/reviews/reviews.module' },
  { path: '**', redirectTo: '' }
];

export const App_Routing = RouterModule.forRoot(App_Routes);
