import { Component } from '@angular/core';
import { Employee } from './employee.model';

@Component({
	selector: 'emp-data',
	template: `<table class="table table-bordered table-stripped">
  <tr>
  	<td>
  		<table class="table table-bordered table-stripped">
  			<tr>
 			 <td>EmpNo</td>
  			 <td>
  				<input type="text" [(ngModel)]="emp.empNo" class="form-control">
  			 </td>
 			</tr>
 			<tr>
 			 <td>
			  	EmpName
			 </td>
  			 <td>
  				<input type="text"  [(ngModel)]="emp.empName" class="form-control">
  			 </td>
  			</tr>
  			<tr>
 			 <td>
			  	Salary
			 </td>
  			 <td>
			   	<input type="text"  [(ngModel)]="emp.salary" class="form-control">
  			 </td>
  			</tr>
  			<tr>
  			 <td>
			   	Designation
			 </td>
  			 <td>
  				<input type="text"  [(ngModel)]="emp.designation" class="form-control"> 
  			 </td> 
  			</tr>  
  			<tr>
  			 <td>
			   	DeptName
			 </td>
  			 <td> 
			   	<input type="text"  [(ngModel)]="emp.deptName" class="form-control">
  			 </td>
  			</tr> 
			<tr>
  			 <td>
			   	Tax
			 </td>
  			 <td> 
			   	<input type="text"  [value]="emp.tax" class="form-control" disabled>   <!-- Changed ngModel to value, as it is read only and to make testing easier -->
  			 </td>
  			</tr> 
  			<tr>
  			 <td colspan="4">
  				<input type="reset" value="New">
  				<button  (click)="getTax()">Save</button> 
  			 </td>
 			</tr> 
  </table>`
})
export class EmployeeComponent {
	emp: Employee;

	constructor() {
		this.emp = new Employee();
	}

	getTax(): number {

		if (this.emp.designation === 'Manager') {
			this.emp.tax = this.emp.salary * 0.3;
		}
		if (this.emp.designation === 'Lead') {
			this.emp.tax = this.emp.salary * 0.25;
		}

		return this.emp.tax;
	}
}