var map = {
	"rxjs": "node_modules/rxjs",
	"@angular/common": "node_modules/@angular/common",
	"@angular/forms": "node_modules/@angular/forms",
	"@angular/compiler": "node_modules/@angular/compiler",
	"@angular/compiler/testing": "node_modules/@angular/compiler/bundles",
	"@angular/core": "node_modules/@angular/core",
	"@angular/core/testing":"node_modules/@angular/core/bundles",
	"@angular/platform-browser":"node_modules/@angular/platform-browser",
	"@angular/platform-browser/testing":"node_modules/@angular/platform-browser/bundles",
	"@angular/platform-browser-dynamic":"node_modules/@angular/platform-browser-dynamic",
	"@angular/platform-browser-dynamic/testing":"node_modules/@angular/platform-browser-dynamic/bundles"
};
var packages = {
	"rxjs": { "defaultExtension": "js" },
	"@angular/common": { "main": "bundles/common.umd.js", "defaultExtension": "js" },
	"@angular/forms": { "main": "bundles/forms.umd.js", "defaultExtension": "js" },
	"@angular/compiler": { "main": "bundles/compiler.umd.js", "defaultExtension": "js" },
	"@angular/compiler/testing": { "main": "compiler-testing.umd.js", "defaultExtension": "js" },
	"@angular/core": { "main": "bundles/core.umd.js", "defaultExtension": "js" },
	'@angular/core/testing':{"main":"core-testing.umd.js", "defaultExtension": "js"},
	"@angular/platform-browser":{"main":"bundles/platform-browser.umd.js","defaultExtension": "js"},
	'@angular/platform-browser/testing':{"main":"platform-browser-testing.umd.js","defaultExtension":"js"},
	"@angular/platform-browser-dynamic":{"main":"bundles/platform-browser-dynamic.umd.js","defaultExtension":"js"},
	"@angular/platform-browser-dynamic/testing":{"main":"platform-browser-dynamic-testing.umd.js","defaultExtension":"js"},
	"app": {
		format: 'register',
		defaultExtension: 'js'
	}  
};

var config = {
	map: map,
	packages: packages
};

System.config(config);
