import {inject,TestBed,ComponentFixture,async } from '@angular/core/testing';
import { BrowserDynamicTestingModule, platformBrowserDynamicTesting } from '@angular/platform-browser-dynamic/testing';
import { By } from '@angular/platform-browser';
import {TestService} from './testservice'
TestBed.initTestEnvironment(
    BrowserDynamicTestingModule, platformBrowserDynamicTesting());
// Using Straight Jasmine functions without importing 
// Angular test libraries
describe('TestService', () => {
  let service: TestService;
  beforeEach(() => { service = new TestService(); });
  it('should get data from the service without angular testing libraries', () => {
    let length = 5;
    let act =service.getData().length;   
   expect(act).toEqual(length);
  });

 //Using Angular Test libraries
beforeEach(() => {
  TestBed.configureTestingModule({ providers: [TestService] });
});
it('should test the reverse string method using angular 2 testing libraries',
  inject([TestService], (testServ: TestService) => {
   let name = 'Mahesh';
   let expected = 'hsehaM';
   let act = testServ.reverseString(name);
   expect(act).toEqual(expected);
}));
});