import { Component, OnInit } from "@angular/core";

@Component({
	selector: "app",
	template: `
		<nav class="navbar navbar-default">
			<div class="container-fluid">
				<div class="navbar-header">
					<span class="navbar-brand">HTTP and JSON</span>
				</div>
				<div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
					<ul class="nav navbar-nav">
						<li><a class="btn btn-link" (click)="view='HTTP'">HTTP Demo</a></li>
						<li><a class="btn btn-link" (click)="view='JSONP'">JSONP Demo</a></li>
					</ul>
				</div>
			</div>
		</nav>
		<div class="text-center" *ngIf="view==='HTTP'">
			<books></books>
		</div>
		<div class="text-center" *ngIf="view==='JSONP'">
			<github-data></github-data>
		</div>`
})
export class AppComponent {
	public view = "HTTP";
}