import {DebugElement,EventEmitter} from '@angular/core';
import {inject,TestBed,ComponentFixture,async } from '@angular/core/testing';
import { BrowserDynamicTestingModule, platformBrowserDynamicTesting } from '@angular/platform-browser-dynamic/testing';
import { By } from '@angular/platform-browser';
import { FormsModule,ReactiveFormsModule } from '@angular/forms';
import {EmployeeComponent} from './employee.component';
import {Employee} from './employee.model';
TestBed.initTestEnvironment(
    BrowserDynamicTestingModule, platformBrowserDynamicTesting());
describe('EmployeeComponent', () => {
  let employee;
  let app;
  let fixture: ComponentFixture<EmployeeComponent>;
  let txtempno:    HTMLElement;


  beforeEach(async(() => {
    TestBed.configureTestingModule({
        imports:[ FormsModule,ReactiveFormsModule ],
        declarations: [EmployeeComponent]
      }).compileComponents();
    }));
  
     beforeEach(() => {
         fixture = TestBed.createComponent(EmployeeComponent);
      app    = fixture.componentInstance;
      });

  it('should validate form',()=>{
   let expectedFormValidationStatus = 'VALID'; 
   employee = new Employee(20,'Mahesh',20,'IT','MGR','abc@abc.com');
   app.emp = employee;

    let nativeElement = fixture.nativeElement;
    txtempno = nativeElement.querySelector('input[name=empNo]');
    let actEventRes =  txtempno.dispatchEvent(new Event('keypress'));
   fixture.detectChanges();  

    let actualFormValidationStatus = app.form.status; 
    
    expect(actualFormValidationStatus).toEqual(expectedFormValidationStatus);
  });


});