/// <reference path="./custom-typings.d.ts" />
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import {HttpModule} from '@angular/http';
import {BrowserModule} from '@angular/platform-browser';
import {FormsModule} from '@angular/forms';
import {NgModule} from '@angular/core';

import {AppComponent} from './app.component';
import {BooksComponent} from './books.component';
import {AddBookComponent} from './addbook.component';

import {App_Routing} from './app.routes';
import { BooksService } from './books.service';

@NgModule({
    declarations: [AppComponent, BooksComponent, AddBookComponent],
    imports: [BrowserModule, HttpModule, FormsModule, App_Routing],
    providers: [BooksService],
    bootstrap: [AppComponent]
})
class AppModule { }

platformBrowserDynamic().bootstrapModule(AppModule);
