import { Routes } from '@angular/router';
import { AddReviewComponent } from './addreview.component';
import { ReviewsComponent } from './reviews.component';
import { ReviewsListComponent } from './reviewslist.component';
import { BooksService } from '../books.service';

export const routes: Routes = [
  {
    path: '',
    component: ReviewsComponent,
    children: [
      { path: 'view', component: ReviewsListComponent },
      { path: 'add', component: AddReviewComponent },
      { path: '', redirectTo: 'view' }
    ]
  }
];
