import { Component } from '@angular/core';

@Component({
	selector: 'app',
	template: `
		<nav class='navbar navbar-default'>
			<div class='container-fluid'>
				<div class='navbar-header'>
					<span class='navbar-brand'>Routing</span>
				</div>
				<div class='collapse navbar-collapse'>
					<ul class='nav navbar-nav'>
						<li><a class='btn btn-link' routerLink='/'>Books List</a></li>
						<li><a class='btn btn-link' routerLink='/addBook'>Add Book</a></li>
					</ul>
				</div>
			</div>
		</nav>
		<router-outlet></router-outlet>`
})
export class AppComponent {
}
