import { Component, OnInit } from '@angular/core';
import { Response } from '@angular/http';
import { Observable } from 'rxjs/observable';
import { Router } from '@angular/router';
import { LoginService } from './login.service';

@Component({
  selector: 'login',
  templateUrl: 'app/login/login.component.html'
})
export class LoginComponent {
  username: string;
  password: string;

  constructor(private loginService: LoginService) { }

  submit() {
    if (this.username && this.password) {
      this.loginService.login(this.username, this.password);
    }
  }
}
