import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import {MovieNameComponent} from "./moviename.component";
import {MovieComponent} from './movie.component';
import {MovieDetailsComponent} from './moviedetails.component';
import {MovieAppComponent} from './movieapp.component';

@NgModule({
  declarations: [MovieAppComponent, MovieNameComponent, MovieComponent, MovieDetailsComponent],
  imports: [BrowserModule],
  bootstrap: [MovieAppComponent]
})
class AppModule { }

platformBrowserDynamic().bootstrapModule(AppModule);
