import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { NgModule, Component } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { ClassSampleComponent } from "./classsample.component";
import { StyleSampleComponent } from "./stylesample.component";

@Component({
  selector: "learning-directives",
  template: `<style-sample></style-sample><br /><br />
             <class-sample></class-sample>`
})
export class LearningDirectivesComponent { }

@NgModule({
  declarations: [LearningDirectivesComponent, StyleSampleComponent, ClassSampleComponent],
  imports: [BrowserModule],
  bootstrap: [LearningDirectivesComponent]
})
class AppModule { }

platformBrowserDynamic().bootstrapModule(AppModule);
