import { Component } from '@angular/core';

@Component({
  selector: 'learning-directives',
  template: `<div *ngFor='let todo of todos' [highlightSelected]='color' class='todo-item'>{{todo}}</div>`,
  styles: [`
    .todo-item{
      width: 25%;
      margin-bottom: 10px;
    }
  `]
})
export class LearningDirectivesComponent {
  todos: Array<string>;
  color: string = '#EEEEEE';

  constructor() {
    this.todos = [
      'Get Milk',
      'Prepare Coffee',
      'Get ready for office',
      'Check e-mails',
      'Close finished tasks'
    ];
  }
}
