import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { HighlightSelectedDirective } from './highlightselected.directive';
import { LearningDirectivesComponent } from './learningdirectives.component';

@NgModule({
  declarations: [HighlightSelectedDirective, LearningDirectivesComponent],
  imports: [BrowserModule],
  bootstrap: [LearningDirectivesComponent]
})
class AppModule { }

platformBrowserDynamic().bootstrapModule(AppModule);
