import { Component } from '@angular/core';
import {Employee, Item} from './app.model';

@Component({
	selector: 'app',
	templateUrl: `./app/app.html`
})
export class AppComponent {
	showDetails: boolean;
	employee: Employee;
	items: Array<any>;

	constructor() {
		this.employee = new Employee();
		this.employee.id = 100;
		this.employee.name = 'Alex';
		this.employee.department = 'Engineering';
		this.employee.salary = 40000;
		this.employee.role = 'Software Engineer';

		//Items collection in the component
		this.items = [];
		this.items.push({ itemId: 'I003', name: 'Head phone', unitPrice: 2000, category: 'Electronics' });
		this.items.push({ itemId: 'I004', name: 'Coffee Maker', unitPrice: 500, category: 'Kitchen' });
		this.items.push({ itemId: 'I005', name: 'T-Shirt', unitPrice: 1000, category: 'Clothing' });
		this.items.push({ itemId: 'I008', name: 'Bluetooth Mouse', unitPrice: 2500, category: 'Electronics' });
		this.items.push({ itemId: 'I009', name: 'Vegetable Chopper', unitPrice: 500, category: 'Kitchen' });
		this.items.push({ itemId: 'I010', name: 'Leather Jacket', unitPrice: 10000, category: 'Clothing' });
	}
}
