import { Component, OnInit } from '@angular/core';
import { FormGroup, FormControl, FormBuilder } from '@angular/forms';
import { Employee } from './employee.model';

@Component({
  selector: 'test-component',
  templateUrl: './app/employee.html'
})
export class TestComponent {

  form: FormGroup;
  emp: Employee;
  empNo: FormControl;
  empName: FormControl;

  frmSubmitted: boolean;

  constructor() {
    this.emp = new Employee(0, '');
    this.frmSubmitted = false;
  }

  save() {
    if (this.emp.empNo > 0 && this.emp.empName.length > 0) {
      alert(JSON.stringify(this.emp));
    }
  }

  clear() {
    this.emp = new Employee(0, '');
  }
}