import { NgModule } from '@angular/core';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';

import { BooksComponent } from './books.component';
import { BooksService } from "./books.service";

@NgModule({
	declarations: [BooksComponent],
	imports: [BrowserModule, FormsModule],
	providers: [BooksService],
	bootstrap: [BooksComponent]
})
class AppModule { }

platformBrowserDynamic().bootstrapModule(AppModule);