import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';

import { AppComponent } from './app.component';
import { FirstComponent } from "./first.component";
import {SecondComponent} from "./second.component";
import { ChildDataComponent } from "./childdata.component";
import { ValueDataComponent } from "./valuedata.component";
import { FactoryDataComponent } from "./factorydata.component";
import { DataService } from './data.service';

@NgModule({
    declarations: [AppComponent, FirstComponent, SecondComponent, ChildDataComponent, ValueDataComponent, FactoryDataComponent],
    imports: [BrowserModule, FormsModule],
    providers: [{ provide: DataService, useClass: DataService }],
    bootstrap: [AppComponent]
})
class AppModule { }

platformBrowserDynamic().bootstrapModule(AppModule);
