import { Component } from '@angular/core';
import {ProductService} from './productservice';
import {Product} from './product.model';
@Component({
   selector:'app-component-service',
    templateUrl:'./app/appcomponentservice.html',
})
export class ProductCallServiceComponent {
    products:Product[]=[];
    filterKey:string;
    serv:ProductService;
    constructor(serv:ProductService) { 
        this.serv = serv;
        this.filterKey = "";
        this.products = this.serv.products;
    }
    filter(){
        this.products = this.serv.filterProducts(this.filterKey);
    }
}