import { Injectable } from '@angular/core';
import {Product} from './product.model';
import {ProductPipe} from './product.pipe';
@Injectable()
export class ProductService {
    products: Product[]=[];
    tempProducts :Product[]=[];   
    filterPipe : ProductPipe;
    constructor() { 
        this.products.push(new Product(101,"Desktop",12000));
        this.products.push(new Product(102,"Laptop",52000));
        this.products.push(new Product(103,"Router",2000));
        this.products.push(new Product(104,"CD-ROM",1000));
        this.products.push(new Product(105,"RAM",10000));
        this.products.push(new Product(106,"DVD",100));
        this.filterPipe = new ProductPipe();   
        this.tempProducts = this.products;
    }
    filterProducts(val:string){
        let args =new Array<string>();
        args.push(val);
        if(val){
            let prd = this.filterPipe.transform(this.products,args);
            this.products = prd;
        } else{
            this.products = this.tempProducts;
        }
        return this.products;
    }
}