import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { NgModule } from '@angular/core';
import { HttpModule } from "@angular/http";
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { AppComponent } from './app.component';
import { BooksComponent } from "./books.component";
import { AddBookComponent } from "./addbook.component";
import { BooksService } from "./books.service";
import { routing } from './app.routes';

@NgModule({
    declarations: [AppComponent, BooksComponent, AddBookComponent],
    imports: [BrowserModule, HttpModule, FormsModule, routing],
    providers: [BooksService],
    bootstrap: [AppComponent]
})
class AppModule { }

platformBrowserDynamic().bootstrapModule(AppModule);
