import { inject, TestBed, ComponentFixture, async } from '@angular/core/testing';
import { BrowserDynamicTestingModule, platformBrowserDynamicTesting } from '@angular/platform-browser-dynamic/testing';
import { By } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { SimpleComponent } from './app.simple.component';

TestBed.initTestEnvironment(
  BrowserDynamicTestingModule, platformBrowserDynamicTesting());

describe('SimpleComponent', () => {
  let employee;
  let app;
  let fixture: ComponentFixture<SimpleComponent>;

  beforeEach(() => {
    TestBed.configureTestingModule({
      declarations: [SimpleComponent],
    });
    fixture = TestBed.createComponent(SimpleComponent);
    app = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should calculate square when component is initializing', () => {  //Modified the text of it block
    app.c = 0;
    let res = 400;
    app.ngOnInit();
    expect(app.c).toEqual(res);
  });

  it('the addTest method should add the inputs', () => {
    let x = 10;
    let y = 20;
    let res = 30;
    let actRes = app.add(x, y);
    expect(actRes).toEqual(res);
  });
});