import { Component } from '@angular/core';
import {Employee} from './employee.model';
import {TestService} from './testservice'
@Component({
selector: 'name-data',
  template: `
   <table>
       <tr>
           <td>
               Name:
           </td>
           <td>
               <input type="text" [(ngModel)]="name">
           </td>
       </tr>
       <tr>
           <td>
               <button  
               (click)="reverseName()">Reverse</button>
           </td>
       </tr>
       <tr>
           <td>
               Name After:
           </td>
           <td>
               <input type="text" [(ngModel)]="nameResult">
           </td>
       </tr>

   </table>
  ` 
})
export class TestComponent {
    name:string;
    nameResult:string;

    constructor(private empSrv:TestService) {
        this.name = "Mahesh";
    }
    reverseName():string{
        this.nameResult =this.empSrv.reverseString(this.name);
        return  this.nameResult;
    } 
    getLength(): number {
        let length = 0;
        length = this.empSrv.getData().length;
        return length;
    }
}