import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import {HttpModule, JsonpModule} from "@angular/http";

import {AppComponent} from "./app.component";
import {BooksComponent} from "./books.component";
import {GitHubDataComponent} from "./githubdata.component";
import {BooksService} from "./books.service";

@NgModule({
	declarations: [AppComponent, BooksComponent, GitHubDataComponent],
	providers: [BooksService],
	imports: [HttpModule, JsonpModule, BrowserModule, FormsModule],
	bootstrap: [AppComponent]
})
class AppModule { }

platformBrowserDynamic().bootstrapModule(AppModule);
