import {NgModule} from '@angular/core';
import {HttpModule} from '@angular/http';
import {FormsModule} from '@angular/forms';
import {CommonModule} from '@angular/common';
import { Routes, RouterModule } from '@angular/router';

import {routes} from './reviews.routes';
import { AddReviewComponent } from './addreview.component';
import { ReviewsComponent } from './reviews.component';
import { ReviewsListComponent } from './reviewslist.component';

@NgModule({
	imports: [CommonModule, FormsModule, HttpModule, RouterModule.forChild(routes)],
	declarations: [AddReviewComponent, ReviewsComponent, ReviewsListComponent]
})
export default class ReviewsModule {
	static routes = routes;
}
