import {NgModule} from '@angular/core';
import {HttpModule} from '@angular/http';
import {FormsModule} from '@angular/forms';
import {CommonModule} from '@angular/common';

import {Reviews_Routing} from './reviews.routes';
import { AddReviewComponent } from './addreview.component';
import { ReviewsComponent } from './reviews.component';
import { ReviewsListComponent } from './reviewslist.component';

@NgModule({
	imports: [CommonModule, FormsModule, HttpModule, Reviews_Routing],
	declarations: [AddReviewComponent, ReviewsComponent, ReviewsListComponent]
})
class ReviewsModule { }

export default ReviewsModule;
