import { Order, orders } from "./order.model";
import { Item } from "./item.model";
import { Component } from '@angular/core';

@Component({
  selector: "orders",
  templateUrl: "app/orders.html"
})
export class OrdersComponent {
  public orders: Order[];
  public itemsInSelectedOrder: Item[];

  constructor() {
    this.orders = orders;
  }

  public viewDetails(order: Order) {
    this.itemsInSelectedOrder = order.getItemsOrdered();
  }
}