
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { OrdersAppComponent } from './ordersapp.component';
import { OrdersListComponent } from './orderslist.component';
import { OrderDetailsComponent } from './orderdetails.component';

@NgModule({
  declarations: [OrdersAppComponent, OrdersListComponent, OrderDetailsComponent],
  imports: [BrowserModule],
  bootstrap: [OrdersAppComponent]
})
class AppModule { }

platformBrowserDynamic().bootstrapModule(AppModule);
