import { Item, Order, orders } from "./orders.data";
import { Component } from '@angular/core';

@Component({
  selector: "orders-list",
  templateUrl: "app/orderslist.component.html"
})
export class OrdersListComponent {
  public orders: Order[];
	public selectedOrder: Order;
	
  constructor(){
    this.orders = orders;
  }
  
  public viewDetails(order: Order){
		this.selectedOrder = order;
  }
	
	public close(){
		this.selectedOrder = null;
	}
}