import {Component} from "@angular/core";

@Component({
  selector: "movie",
  template: `<h2>Movie Name: {{name}}</h2>
               <div>Director: {{director}}</div>
               <div>Released Year: {{releasedYear}}</div>
               <div>Duration: {{duration}}</div>`
})
export class MovieComponent {
  name: string;
  director: string;
  releasedYear: number;
  duration: number;

  constructor() {
    this.name = "A Beautiful Mind";
    this.director = "Ron Howard";
    this.releasedYear = 2001;
    this.duration = 135;
  }
}
