import {Component} from "@angular/core";
import {Movie} from "./movie.model";

@Component({
  selector: "movie-details",
  templateUrl: "app/moviedetails.component.html",
  styleUrls: ["app/moviedetails.component.css"]
})
export class MovieDetailsComponent {
  movie: Movie;
  viewDetails: boolean;
  viewText: string;

  constructor() {
    this.movie = {
      name: "A Beautiful Mind",
      director: "Ron Howard",
      releasedYear: 2001,
      duration: 135,
      leadActor: "Russel Crowe",
      musicDirector: "James Horner",
      country: "USA",
      language: "English",
      budget: "$58 million",
      income: "$313.6 million"
    };

    this.viewDetails = false;
    this.viewText = "Show More";
  }

  toggleDetails() {
    this.viewDetails = !this.viewDetails;
    this.viewText = this.viewDetails ? "Show Less" : "Show More";
  }
}
